pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__parse.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__parse.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E073 : Short_Integer; pragma Import (Ada, E073, "system__os_lib_E");
   E008 : Short_Integer; pragma Import (Ada, E008, "ada__exceptions_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E024 : Short_Integer; pragma Import (Ada, E024, "system__exception_table_E");
   E040 : Short_Integer; pragma Import (Ada, E040, "ada__containers_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__io_exceptions_E");
   E031 : Short_Integer; pragma Import (Ada, E031, "ada__numerics_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "ada__strings_E");
   E057 : Short_Integer; pragma Import (Ada, E057, "ada__strings__maps_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__strings__maps__constants_E");
   E045 : Short_Integer; pragma Import (Ada, E045, "interfaces__c_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "system__object_reader_E");
   E050 : Short_Integer; pragma Import (Ada, E050, "system__dwarf_lines_E");
   E020 : Short_Integer; pragma Import (Ada, E020, "system__soft_links__initialize_E");
   E039 : Short_Integer; pragma Import (Ada, E039, "system__traceback__symbolic_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "ada__strings__utf_encoding_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "ada__tags_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__strings__text_buffers_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "gnat_E");
   E241 : Short_Integer; pragma Import (Ada, E241, "interfaces__c__strings_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "system__aux_dec_E");
   E109 : Short_Integer; pragma Import (Ada, E109, "ada__streams_E");
   E158 : Short_Integer; pragma Import (Ada, E158, "system__file_control_block_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__finalization_root_E");
   E107 : Short_Integer; pragma Import (Ada, E107, "ada__finalization_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "system__file_io_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "system__storage_pools_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "system__finalization_masters_E");
   E192 : Short_Integer; pragma Import (Ada, E192, "system__storage_pools__subpools_E");
   E137 : Short_Integer; pragma Import (Ada, E137, "ada__strings__unbounded_E");
   E292 : Short_Integer; pragma Import (Ada, E292, "system__task_info_E");
   E261 : Short_Integer; pragma Import (Ada, E261, "system__regpat_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "ada__calendar_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "ada__calendar__delays_E");
   E214 : Short_Integer; pragma Import (Ada, E214, "ada__calendar__time_zones_E");
   E153 : Short_Integer; pragma Import (Ada, E153, "ada__text_io_E");
   E243 : Short_Integer; pragma Import (Ada, E243, "gnat__calendar_E");
   E206 : Short_Integer; pragma Import (Ada, E206, "gnat__directory_operations_E");
   E286 : Short_Integer; pragma Import (Ada, E286, "system__task_primitives__operations_E");
   E246 : Short_Integer; pragma Import (Ada, E246, "gnat__calendar__time_io_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "system__pool_global_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "gnat__expect_E");
   E274 : Short_Integer; pragma Import (Ada, E274, "system__random_seed_E");
   E229 : Short_Integer; pragma Import (Ada, E229, "system__regexp_E");
   E221 : Short_Integer; pragma Import (Ada, E221, "ada__directories_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "system__tasking__initialization_E");
   E302 : Short_Integer; pragma Import (Ada, E302, "system__tasking__protected_objects_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "system__tasking__protected_objects__entries_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "system__tasking__queuing_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "gnat__semaphores_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "gnatcoll__atomic_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "gnatcoll__locks_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "gnatcoll__os_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "gnatcoll__storage_pools__headers_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "gnatcoll__refcount_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "gnatcoll__string_builders_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "gnatcoll__strings_impl_E");
   E197 : Short_Integer; pragma Import (Ada, E197, "gnatcoll__strings_E");
   E196 : Short_Integer; pragma Import (Ada, E196, "gnatcoll__strings_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "gnatcoll__mmap_E");
   E233 : Short_Integer; pragma Import (Ada, E233, "gnatcoll__mmap__system_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "gnatcoll__utils_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "gnatcoll__io_E");
   E235 : Short_Integer; pragma Import (Ada, E235, "gnatcoll__path_E");
   E210 : Short_Integer; pragma Import (Ada, E210, "gnatcoll__io__native_E");
   E266 : Short_Integer; pragma Import (Ada, E266, "gnatcoll__remote_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "gnatcoll__remote__db_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "gnatcoll__io__remote_E");
   E265 : Short_Integer; pragma Import (Ada, E265, "gnatcoll__io__remote__unix_E");
   E268 : Short_Integer; pragma Import (Ada, E268, "gnatcoll__io__remote__windows_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "gnatcoll__vfs_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "gnatcoll__opt_parse_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__opt_parse__finalize_body");
      begin
         E161 := E161 - 1;
         if E161 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__opt_parse__finalize_spec");
      begin
         if E161 = 0 then
            F2;
         end if;
      end;
      E182 := E182 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__vfs__finalize_spec");
      begin
         if E182 = 0 then
            F3;
         end if;
      end;
      E204 := E204 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__io__remote__finalize_spec");
      begin
         if E204 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__remote__finalize_spec");
      begin
         E266 := E266 - 1;
         if E266 = 0 then
            F5;
         end if;
      end;
      E210 := E210 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__io__native__finalize_spec");
      begin
         if E210 = 0 then
            F6;
         end if;
      end;
      E190 := E190 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__io__finalize_spec");
      begin
         if E190 = 0 then
            F7;
         end if;
      end;
      E197 := E197 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__strings__finalize_spec");
      begin
         if E197 = 0 then
            F8;
         end if;
      end;
      E167 := E167 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__refcount__finalize_spec");
      begin
         if E167 = 0 then
            F9;
         end if;
      end;
      E278 := E278 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__locks__finalize_spec");
      begin
         if E278 = 0 then
            F10;
         end if;
      end;
      E318 := E318 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E318 = 0 then
            F11;
         end if;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "ada__directories__finalize_body");
      begin
         E221 := E221 - 1;
         if E221 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__directories__finalize_spec");
      begin
         if E221 = 0 then
            F13;
         end if;
      end;
      E229 := E229 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "system__regexp__finalize_spec");
      begin
         if E229 = 0 then
            F14;
         end if;
      end;
      E256 := E256 - 1;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnat__expect__finalize_spec");
      begin
         if E256 = 0 then
            F15;
         end if;
      end;
      E180 := E180 - 1;
      declare
         procedure F16;
         pragma Import (Ada, F16, "system__pool_global__finalize_spec");
      begin
         if E180 = 0 then
            F16;
         end if;
      end;
      E153 := E153 - 1;
      declare
         procedure F17;
         pragma Import (Ada, F17, "ada__text_io__finalize_spec");
      begin
         if E153 = 0 then
            F17;
         end if;
      end;
      E137 := E137 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "ada__strings__unbounded__finalize_spec");
      begin
         if E137 = 0 then
            F18;
         end if;
      end;
      E192 := E192 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "system__storage_pools__subpools__finalize_spec");
      begin
         if E192 = 0 then
            F19;
         end if;
      end;
      E178 := E178 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "system__finalization_masters__finalize_spec");
      begin
         if E178 = 0 then
            F20;
         end if;
      end;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__file_io__finalize_body");
      begin
         E157 := E157 - 1;
         if E157 = 0 then
            F21;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (Ada, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, False, True, False, False, True, True, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, True, True, True, True, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           True, False, False, False, False, True, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 1, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      ada_main'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E008 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E013 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E024 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E024 := E024 + 1;
      if E040 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E040 := E040 + 1;
      if E068 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E068 := E068 + 1;
      if E031 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E031 := E031 + 1;
      if E055 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E055 := E055 + 1;
      if E057 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E057 := E057 + 1;
      if E060 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E060 := E060 + 1;
      if E045 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E045 := E045 + 1;
      if E025 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E025 := E025 + 1;
      if E084 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E084 := E084 + 1;
      if E050 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E050 := E050 + 1;
      if E073 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E073 := E073 + 1;
      if E020 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E020 := E020 + 1;
      E013 := E013 + 1;
      if E039 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E039 := E039 + 1;
      E008 := E008 + 1;
      if E113 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E121 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E121 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E121 := E121 + 1;
      if E111 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E164 = 0 then
         Gnat'Elab_Spec;
      end if;
      E164 := E164 + 1;
      if E241 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E241 := E241 + 1;
      if E328 = 0 then
         System.Aux_Dec'Elab_Spec;
      end if;
      E328 := E328 + 1;
      if E109 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E109 := E109 + 1;
      if E158 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E158 := E158 + 1;
      if E131 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E131 := E131 + 1;
      if E107 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E107 := E107 + 1;
      if E157 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E157 := E157 + 1;
      if E176 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E176 := E176 + 1;
      if E178 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E178 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E178 := E178 + 1;
      if E192 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E192 := E192 + 1;
      if E137 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E137 := E137 + 1;
      if E292 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E292 := E292 + 1;
      if E261 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E261 := E261 + 1;
      if E006 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E006 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E006 := E006 + 1;
      if E276 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E276 := E276 + 1;
      if E214 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E214 := E214 + 1;
      if E153 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E153 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E153 := E153 + 1;
      if E243 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E243 := E243 + 1;
      if E206 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E206 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E206 := E206 + 1;
      if E286 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E286 := E286 + 1;
      if E246 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E246 := E246 + 1;
      if E180 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E180 := E180 + 1;
      if E256 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E256 := E256 + 1;
      if E274 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E274 := E274 + 1;
      if E229 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E229 := E229 + 1;
      if E221 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E221 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E221 := E221 + 1;
      if E314 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E314 := E314 + 1;
      if E302 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E302 := E302 + 1;
      if E318 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E318 := E318 + 1;
      if E320 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E320 := E320 + 1;
      E326 := E326 + 1;
      E169 := E169 + 1;
      if E278 = 0 then
         GNATCOLL.LOCKS'ELAB_SPEC;
      end if;
      E278 := E278 + 1;
      if E252 = 0 then
         GNATCOLL.OS'ELAB_SPEC;
      end if;
      E252 := E252 + 1;
      E171 := E171 + 1;
      if E167 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E167 := E167 + 1;
      E251 := E251 + 1;
      E199 := E199 + 1;
      if E197 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E197 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E197 := E197 + 1;
      if E231 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E233 := E233 + 1;
      E231 := E231 + 1;
      E237 := E237 + 1;
      if E190 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E190 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E190 := E190 + 1;
      if E235 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E235 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E235 := E235 + 1;
      if E210 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E210 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E210 := E210 + 1;
      if E266 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E266 := E266 + 1;
      if E270 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E270 := E270 + 1;
      if E204 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E265 := E265 + 1;
      E268 := E268 + 1;
      if E204 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E204 := E204 + 1;
      if E182 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E182 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E182 := E182 + 1;
      if E161 = 0 then
         GNATCOLL.OPT_PARSE'ELAB_SPEC;
      end if;
      if E161 = 0 then
         GNATCOLL.OPT_PARSE'ELAB_BODY;
      end if;
      E161 := E161 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_parse");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      if gnat_argc = 0 then
         gnat_argc := argc;
         gnat_argv := argv;
      end if;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/obj-mains/prod/parse.o
   --   -L/builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/obj-mains/prod/
   --   -L/builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/obj-mains/prod/
   --   -L/usr/lib64/langkit-support/
   --   -L/usr/lib64/libadasat/
   --   -L/usr/lib64/gnatcoll-iconv/
   --   -L/usr/lib64/libgpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib64/gnatcoll-gmp/
   --   -L/builddir/build/BUILD/libadalang-24.0.0-build/libadalang-24.0.0/build/lib/relocatable/prod/
   --   -L/usr/lib64/libgpr2/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/14/adalib/
   --   -shared
   --   -lgnarl-14
   --   -lgnat-14
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end ada_main;
